Invoice / CFDI
Returns the payments associated with an invoice with pending payment
GET
/
cfdi
/
status
Returns the payments associated with an invoice with pending payment
curl --request GET \
--url https://apisandbox.facturama.mx/cfdi/status \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://apisandbox.facturama.mx/cfdi/status"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://apisandbox.facturama.mx/cfdi/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apisandbox.facturama.mx/cfdi/status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://apisandbox.facturama.mx/cfdi/status"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://apisandbox.facturama.mx/cfdi/status")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://apisandbox.facturama.mx/cfdi/status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"Id": "J6MjEYRjnLnV6aMCK8dV-w2",
"CfdiType": "ingreso",
"Type": "I - Ingreso",
"Serie": "",
"Folio": "145",
"Date": "2026-05-26T12:59:15",
"CertNumber": "30001000000500003416",
"PaymentTerms": "03 - Transferencia electrónica de fondos",
"PaymentMethod": "PUE - Pago en una sola exhibición",
"PaymentAccountNumber": "",
"PaymentBankName": "",
"ExpeditionPlace": "26015 COAHUILA",
"ExchangeRate": 0,
"Currency": "MXN - Peso Mexicano",
"Subtotal": 100,
"Discount": 0,
"Total": 116,
"Observations": "",
"Issuer": {
"FiscalRegime": "601 - General de Ley Personas Morales",
"Rfc": "EKU9003173C9",
"TaxName": "ESCUELA KEMPER URGATE",
"Email": "api@facturama.mx",
"Phone": "4448356098",
"TaxAddress": {
"Street": "Cañada de Gomez",
"ExteriorNumber": "128",
"InteriorNumber": "",
"Neighborhood": "Los Laureles",
"ZipCode": "42501",
"Municipality": "Piedras Negras",
"State": "COAHUILA",
"Country": "México"
},
"IssuedIn": {
"Street": "Cañada de Gomez",
"ExteriorNumber": "128",
"Neighborhood": "Los Laureles",
"ZipCode": "26015",
"Municipality": "Piedras Negras",
"State": "COAHUILA",
"Country": "MEXICO"
}
},
"Receiver": {
"Rfc": "URE180429TM6",
"Name": "UNIVERSIDAD ROBOTICA ESPAÑOLA",
"Email": ""
},
"Items": [
{
"ProductCode": "10101504",
"IdentificationNumber": "EDL",
"UnitCode": "MTS",
"Discount": 0,
"CuentaPredial": "",
"Quantity": 2,
"Unit": "MTS - NO APLICA",
"Description": "Estudios de laboratorio",
"UnitValue": 50,
"Total": 100
}
],
"Taxes": [
{
"Total": 16,
"Name": "IVA",
"Rate": 16,
"Type": "transferred",
"Factor": "Tasa"
}
],
"Complement": {
"TaxStamp": {
"Uuid": "fe3c73d5-7881-49e0-80a3-e6c7e2eece40",
"Date": "2026-05-26T12:59:15",
"CfdiSign": "JvBbBtJZjW+xmCCrk/QW30JKrlYPlVdbLfiHfjtiZrSaI1En8pILqfBmBZ5znc...",
"SatCertNumber": "30001000000500003456",
"SatSign": "VaNEQDLc3XnkNXaFfTIHhOwoQwRwfdlGtaHjOA0wH8UZZvHwEZny3S3CaDWo1z...",
"RfcProvCertif": "SPR190613I52",
"AutNumProvCertif": ""
}
},
"Status": "active",
"OriginalString": "||1.1|fe3c73d5-7881-49e0-80a3-e6c7e2eece40|2026-05-26T12:59:15|SPR190613I52|..."
}Authorizations
HTTP Basic authentication with Facturama username and password.
Query Parameters
UUID del CFDI
Issuer RFC
Receiver RFC
Total
Response
200 - application/json
Response model for API cancellation calls
State del CFDI ( canceled, requested ,rejected )
UUID of the queried CFDI
Cancellation request date
Date the cancellation request is responded to
Validity of the cancellation request
Validity of the cancellation request
⌘I
Returns the payments associated with an invoice with pending payment
curl --request GET \
--url https://apisandbox.facturama.mx/cfdi/status \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://apisandbox.facturama.mx/cfdi/status"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://apisandbox.facturama.mx/cfdi/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apisandbox.facturama.mx/cfdi/status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://apisandbox.facturama.mx/cfdi/status"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://apisandbox.facturama.mx/cfdi/status")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://apisandbox.facturama.mx/cfdi/status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"Id": "J6MjEYRjnLnV6aMCK8dV-w2",
"CfdiType": "ingreso",
"Type": "I - Ingreso",
"Serie": "",
"Folio": "145",
"Date": "2026-05-26T12:59:15",
"CertNumber": "30001000000500003416",
"PaymentTerms": "03 - Transferencia electrónica de fondos",
"PaymentMethod": "PUE - Pago en una sola exhibición",
"PaymentAccountNumber": "",
"PaymentBankName": "",
"ExpeditionPlace": "26015 COAHUILA",
"ExchangeRate": 0,
"Currency": "MXN - Peso Mexicano",
"Subtotal": 100,
"Discount": 0,
"Total": 116,
"Observations": "",
"Issuer": {
"FiscalRegime": "601 - General de Ley Personas Morales",
"Rfc": "EKU9003173C9",
"TaxName": "ESCUELA KEMPER URGATE",
"Email": "api@facturama.mx",
"Phone": "4448356098",
"TaxAddress": {
"Street": "Cañada de Gomez",
"ExteriorNumber": "128",
"InteriorNumber": "",
"Neighborhood": "Los Laureles",
"ZipCode": "42501",
"Municipality": "Piedras Negras",
"State": "COAHUILA",
"Country": "México"
},
"IssuedIn": {
"Street": "Cañada de Gomez",
"ExteriorNumber": "128",
"Neighborhood": "Los Laureles",
"ZipCode": "26015",
"Municipality": "Piedras Negras",
"State": "COAHUILA",
"Country": "MEXICO"
}
},
"Receiver": {
"Rfc": "URE180429TM6",
"Name": "UNIVERSIDAD ROBOTICA ESPAÑOLA",
"Email": ""
},
"Items": [
{
"ProductCode": "10101504",
"IdentificationNumber": "EDL",
"UnitCode": "MTS",
"Discount": 0,
"CuentaPredial": "",
"Quantity": 2,
"Unit": "MTS - NO APLICA",
"Description": "Estudios de laboratorio",
"UnitValue": 50,
"Total": 100
}
],
"Taxes": [
{
"Total": 16,
"Name": "IVA",
"Rate": 16,
"Type": "transferred",
"Factor": "Tasa"
}
],
"Complement": {
"TaxStamp": {
"Uuid": "fe3c73d5-7881-49e0-80a3-e6c7e2eece40",
"Date": "2026-05-26T12:59:15",
"CfdiSign": "JvBbBtJZjW+xmCCrk/QW30JKrlYPlVdbLfiHfjtiZrSaI1En8pILqfBmBZ5znc...",
"SatCertNumber": "30001000000500003456",
"SatSign": "VaNEQDLc3XnkNXaFfTIHhOwoQwRwfdlGtaHjOA0wH8UZZvHwEZny3S3CaDWo1z...",
"RfcProvCertif": "SPR190613I52",
"AutNumProvCertif": ""
}
},
"Status": "active",
"OriginalString": "||1.1|fe3c73d5-7881-49e0-80a3-e6c7e2eece40|2026-05-26T12:59:15|SPR190613I52|..."
}